#include <gtk/gtk.h>
#include <stdio.h>
#include <string.h>



GtkBuilder *builder;
GtkWidget *vent;
GtkWidget *repetir;
GtkWidget *ient;
GtkWidget *isal;
GtkWidget *essid;
GtkWidget *key;

struct VALS {
   char intent[40];
   char intsal[40];
   char essid[40];
   char key[40];
} vals;


static void router_accion(void) {

   char rsc[80] = {'\0'};

   strcpy(vals.intent, gtk_entry_get_text(GTK_ENTRY(ient)));
   strcpy(vals.intsal, gtk_entry_get_text(GTK_ENTRY(isal)));
   strcpy(vals.essid, gtk_entry_get_text(GTK_ENTRY(essid)));
   strcpy(vals.key, gtk_entry_get_text(GTK_ENTRY(key)));

   strcpy(rsc, "./routerscript ");
   strcat(rsc, vals.intent);
   strcat(rsc, " ");
   strcat(rsc, vals.intsal);
   strcat(rsc, " ");
   strcat(rsc, vals.essid);
   strcat(rsc, " ");
   strcat(rsc, vals.key);


   system(rsc);


}

static void salir(void) {


   system("killall dnsmasq");
   system("killall airbase-ng");
   system("./airmon-ng stop wlan0");
   system("./airmon-ng stop wlan1");
   system("./airmon-ng stop mon0");
   system("./airmon-ng stop mon1");
   system("./airmon-ng stop mon2");
   system("./airmon-ng stop mon3");
   gtk_main_quit();
}

int main(int argc, char *argv[]) {



   gtk_init(&argc, &argv);

   builder = gtk_builder_new();

   gtk_builder_add_from_file(builder, "routerlinux.ui", NULL);

   vent = (GtkWidget *)gtk_builder_get_object(builder, "wrouter");
   g_signal_connect(G_OBJECT(vent), "destroy", G_CALLBACK(salir), NULL);

   repetir = (GtkWidget *)gtk_builder_get_object(builder, "btnrouter");
   g_signal_connect(G_OBJECT(repetir), "clicked", G_CALLBACK(router_accion), NULL);

   ient = (GtkWidget *)gtk_builder_get_object(builder, "txtient");
   isal = (GtkWidget *)gtk_builder_get_object(builder, "txtintersal");
   essid = (GtkWidget *)gtk_builder_get_object(builder, "txtmiwifi");
   key = (GtkWidget *)gtk_builder_get_object(builder, "txtpass");


   gtk_widget_show_all(vent);

   gtk_main();
   return 0;

}

